DeclutterMatrix.MatrixIndexes (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer
Class DeclutterMatrix.MatrixIndexes

    java.lang.Object
      com.bbn.openmap.layer.DeclutterMatrix.MatrixIndexes

Enclosing class:
  DeclutterMatrix

    public class DeclutterMatrix.MatrixIndexes

extends java.lang.Object

Field Summary
`int` | `origIndexHeight`
`int` | `origIndexLength`
`int` | `origXIndex`
`int` | `origYIndex`
`boolean` | `partial`
`boolean` | `withinMatrix`
`int` | `xEnd`
`int` | `xStart`
`int` | `yEnd`
`int` | `yStart`

Constructor Summary
`DeclutterMatrix.MatrixIndexes()`

Method Summary
`boolean` | `objOnMatrix(int objXIndex, int objYIndex, int objIndexLength, int objIndexHeight)` Test to see if the object is on the matrix.
`boolean` | `set(int objXIndex, int objYIndex)`
`boolean` | `set(int objXIndex, int objYIndex, int objIndexLength, int objIndexHeight)`
`boolean` | `setFromPixels(int pixelXLocation, int pixelYLocation)`
`boolean` | `setFromPixels(int pixelXLocation, int pixelYLocation, int pixelLength, int pixelHeight)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### withinMatrix

    public boolean withinMatrix

### partial

    public boolean partial

### xStart

    public int xStart

### yStart

    public int yStart

### xEnd

    public int xEnd

### yEnd

    public int yEnd

### origXIndex

    public int origXIndex

### origYIndex

    public int origYIndex

### origIndexLength

    public int origIndexLength

### origIndexHeight

    public int origIndexHeight

Constructor Detail

### DeclutterMatrix.MatrixIndexes

    public DeclutterMatrix.MatrixIndexes()

Method Detail

### setFromPixels

    public boolean setFromPixels(int pixelXLocation,
                                 int pixelYLocation,
                                 int pixelLength,
                                 int pixelHeight)

### setFromPixels

    public boolean setFromPixels(int pixelXLocation,
                                 int pixelYLocation)

### set

    public boolean set(int objXIndex,
                       int objYIndex)

### set

    public boolean set(int objXIndex,
                       int objYIndex,
                       int objIndexLength,
                       int objIndexHeight)

### objOnMatrix

    public boolean objOnMatrix(int objXIndex,
                               int objYIndex,
                               int objIndexLength,
                               int objIndexHeight)

  Test to see if the object is on the matrix. Assumes that the matrix is not null.

  Returns:
    true if object is on matrix.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details